%define upstream_name    Color-Library
%define upstream_version 0.021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    (NBS/ISCC TC) Standard Color Card of America
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Color/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Color::Library is an easy-to-use and comprehensive named-color dictionary.
Currently provides coverage for www (svg, html, css) colors, x11 colors,
and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.21.0-7.mga10
+ Revision: 2198013
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.21.0-6.mga9
+ Revision: 1802528
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.21.0-5.mga8
+ Revision: 1493573
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.21.0-4.mga7
+ Revision: 1266572
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.21.0-3.mga6
+ Revision: 1024265
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.21.0-2.mga6
+ Revision: 951486
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 shlomif <shlomif> 0.21.0-1.mga5
+ Revision: 808107
- imported package perl-Color-Library


* Fri Jan 02 2015 cpan2dist 0.021-1mga
- initial mageia release, generated with cpan2dist
